#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-BSD-Resource
Version		:	1.2911
Release		:	16.2.0.rel%{?dist}
Summary		:	BSD process resource limit and priority functions
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Net::DNS

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
A module providing an interface for testing and setting process limits
and priorities.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name *.so -exec chmod u+w  {} ';'
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%license LICENSE
%{_libdir}/perl5/%{perlvers}/core_perl/BSD/Resource.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/BSD/Resource/*.al
%{_libdir}/perl5/%{perlvers}/core_perl/auto/BSD/Resource/Resource.so
%{_libdir}/perl5/%{perlvers}/core_perl/auto/BSD/Resource/autosplit.ix
%{_mandir}/man3/BSD::Resource.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
